<div class="header-row">
  <!-- LEFT SEGMENT -->
  <div class="header-left">
    <div class="logo-segment hover-target noselect" (click)="onHome()">
      <div class="logo-img">
        <app-logo width="42" height="42"></app-logo>
      </div>

      <div class="logo-name">Manistry</div>
    </div>

    <div class="menu-btn-wrapper">
      <ion-menu-button
        autoHide="false"
        (click)="onMenuClick()"
      ></ion-menu-button>
    </div>
  </div>

  <!-- RIGHT SEGMENT -->
  <div class="header-right">
    <!-- THEME -->
    <div
      class="theme-segment hover-target noselect"
      mat-button
      [matMenuTriggerFor]="thememenu"
      matTooltip="{{ 'HEADER.THEME' | translate }}"
    >
      <ion-icon name="{{ currentTheme.icon }}"></ion-icon>
    </div>
    <mat-menu class="sub-context-menu" #thememenu="matMenu">
      <div *ngFor="let theme of availableThemes">
        <button
          class="sub-menu-btn"
          [ngClass]="{
            active: currentTheme.name.toUpperCase() === theme.name.toUpperCase()
          }"
          mat-menu-item
          (click)="onSwitchTheme(theme)"
          *ngIf="!theme.hidden"
        >
          <div class="sub-menu-icon">
            <ion-icon name="{{ theme.icon }}"></ion-icon>
          </div>
          <span class="sub-menu-label">{{ theme.code | translate }}</span>
        </button>
      </div>
    </mat-menu>

    <!-- LANGUAGE -->
    <div
      class="language-segment hover-target noselect"
      mat-button
      matTooltip="{{ 'HEADER.LANGUAGE' | translate }}"
      [matMenuTriggerFor]="languagemenu"
    >
      {{ currentLanguage }}
    </div>
    <mat-menu class="sub-context-menu" #languagemenu="matMenu">
      <button
        class="sub-menu-btn"
        [ngClass]="{ active: currentLanguage === lang.toUpperCase() }"
        mat-menu-item
        (click)="onSetLanguage(lang)"
        *ngFor="let lang of availableLanguages"
      >
        <span class="sub-menu-label">{{ lang.toUpperCase() }}</span>
      </button>
    </mat-menu>

    <!-- LOG IN -->
    <div
      class="login-segment hover-target noselect"
      *ngIf="!isLoggedInSync()"
      (click)="onSignIn()"
    >
      <div class="login-text">
        {{ "HEADER.SIGN_IN" | translate }}
      </div>
      <div class="login-icon" matTooltip="{{ 'HEADER.SIGN_IN' | translate }}">
        <ion-icon name="log-in-outline"></ion-icon>
      </div>
    </div>

    <!-- ACTIVE PROFILE -->
    <div
      class="user-segment dropdown-menu-segment hover-target session noselect"
      [ngClass]="{ activated: isMenuActive('UserProfile') }"
      *ngIf="isLoggedInSync()"
      (click)="onMenu($event, 'UserProfile')"
    >
      <ion-avatar class="user-icon">
        <img src="assets/images/avatar_32x32.jpg" alt="avatar" />
      </ion-avatar>

      <div class="user-content">
        <div class="user-name">{{ username }}</div>
      </div>
      <div class="user-dropdown">
        <ion-icon name="caret-down-outline"></ion-icon>
      </div>
      <!-- DROPDOWN -->
      <div
        class="dropdown-menu"
        [ngClass]="{ 'dropdown-menu-open': isMenuActive('UserProfile') }"
      >
        <ion-item class="dropdown-menu-entry" lines="none" (click)="onLogout()">
          {{ "HEADER.USER.LOGOUT" | translate }}
        </ion-item>
      </div>
    </div>
  </div>
</div>
